/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: src/sgx/input/input_joypad.cpp

*/

#include "sgx/core/core.hpp"
#include "sgx/input/input.hpp"

#if TODO
// TODO: more of these
tBOOL 
CSGXInputManager::IsKeypadButtonDown(CSGXInputManager::tController controller, tControl button)
{
	//TODO: GetPhysicalController
    if (controller >= eFirst && controller <= eFourth) {
        // Map logical button to physical one and re-call ourselves
        return IsKeypadButtonDown(tController(m_Mapping[controller-eFirst]), button);
    }

    if (controller >= ePhysical0 && controller <= ePhysical3) {
        return m_pController[controller].IsButtonDown(button);
    }

    return FALSE;
}

#endif
